ALTER TABLE DOGODKI
ADD ID_PRIVEZ_FROM NUMBER;

CREATE OR REPLACE VIEW V_DOGODKI AS (
  SELECT D.ID, D.ID_LASTNIKA, D.ID_PLOVILA, D.DATUM_ZACETKA, D.KATEGORIJA_DOGODKA, D.LAST_PORT, D.OBJEKT, D.N_PRIVEZA, D.STORITEV, D.N_POGODBE, D.PREDVIDENI_DATUM_KONCA, D.DATUM_KONCA, 
  D.DATUM_KREIRANJA, D.USER_KREIRANJA, D.DATUM_SPREMEMBE, D.USER_SPREMEMBE, D.ID_RFID_DATA, D.DAILY, D.ID_PRIVEZ_FROM,
  ND.OPIS AS NDOGODEK_OPIS, ND.INTERNI_OPIS AS NDOGODEK_INTERNI_OPIS,
  K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, P.IME AS PLOVILA_IME, VP.NNLOCATION_ID AS NNLOCATION_ID, NP.ID_PRIVEZ, 
  NP_FROM.OBJEKT AS NNPRIVEZ_FROM_OBJEKT, NP_FROM.N_PRIVEZA AS NNPRIVEZ_FROM_PRIVEZ, VP_FROM.NNLOCATION_ID AS NNLOCATION_ID_FROM
	FROM DOGODKI D
  LEFT OUTER JOIN NDOGODEK ND ON ND.NDOGODEK = D.KATEGORIJA_DOGODKA
  LEFT OUTER JOIN KUPCI K ON K.ID = D.ID_LASTNIKA
  LEFT OUTER JOIN PLOVILA P ON P.ID = D.ID_PLOVILA
  LEFT OUTER JOIN V_PRIVEZ_LOCATION VP ON (VP.OBJEKT = D.OBJEKT AND VP.N_PRIVEZA = D.N_PRIVEZA)
  LEFT OUTER JOIN V_PRIVEZ_LOCATION VP_FROM ON VP_FROM.ID_PRIVEZ = D.ID_PRIVEZ_FROM
  LEFT OUTER JOIN NNPRIVEZ NP ON (NP.OBJEKT = D.OBJEKT AND NP.N_PRIVEZA = D.N_PRIVEZA)
  LEFT OUTER JOIN NNPRIVEZ NP_FROM ON NP_FROM.ID_PRIVEZ = D.ID_PRIVEZ_FROM
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1100, SYSDATE, '5.5', 1020, 'Dogodki privez from')
;
