CREATE TABLE COMMANDS (
	ID_COMMAND NUMBER,
	NAME VARCHAR2(100 CHAR),
	COMMAND VARCHAR2(1000 CHAR),
	ID_TIMER_DATA NUMBER,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(100 CHAR),
	ACTIVE VARCHAR2(1 CHAR),
	CONSTRAINT COMMANDS_PK PRIMARY KEY (ID_COMMAND),
  CONSTRAINT COMMANDS_ID_TIMER_DATA_FK FOREIGN KEY (ID_TIMER_DATA) REFERENCES TIMER_DATA(ID_TIMER_DATA)
);

CREATE SEQUENCE COMMANDS_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1734, SYSDATE, '5.5', 1654, 'Commands')
;
