CREATE OR REPLACE VIEW V_KNJIZBE_BREME AS (
select MIN(K.ID_SALDKONT) AS ID_SALDKONT, S.NNLOCATION_ID, K.DATUMV, K.KONTO, K.TIPKNJ, S.VRSTA_RACUNA, S.SDK_RN_TIP, SUM(K.BZNESEK) AS BREME 
from 
knjizbe k 
join saldkont s on k.id_saldkont=s.id_saldkont 
WHERE K.STRAN='B' AND s.r_export_nr is null 
GROUP BY S.NNLOCATION_ID, K.DATUMV, K.KONTO, K.TIPKNJ, S.VRSTA_RACUNA, S.SDK_RN_TIP
)
;

CREATE OR REPLACE VIEW V_KNJIZBE_DOBRO AS (
select MIN(K.ID_SALDKONT) AS ID_SALDKONT, S.NNLOCATION_ID, K.DATUMV, K.KONTO, K.TIPKNJ, S.VRSTA_RACUNA, S.SDK_RN_TIP, SUM(K.DZNESEK) AS DOBRO 
from 
knjizbe k 
join saldkont s on k.id_saldkont=s.id_saldkont 
WHERE K.STRAN='D' AND s.r_export_nr is null 
GROUP BY S.NNLOCATION_ID, K.DATUMV, K.KONTO, K.TIPKNJ, S.VRSTA_RACUNA, S.SDK_RN_TIP
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1133, SYSDATE, '5.5', 1053, 'Quickbooks Bookkeeping export')
;