CREATE OR REPLACE VIEW V_S_OBRACUN AS (
  SELECT SO.ID_OBRACUN, SO.DEL_NALOG, SO.ID_ARTIKEL, SO.KOLICINA, SO.ID_ENOTA, SO.CENA, SO.DAV_STOPNJA, SO.ZN_DAVKA, SO.ZN_BREZ_DAVKA, 
  SO.SKUPAJ, SO.ID_PROMET, SO.RABAT, SO.MARZA, SO.OPIS, SO.ZAKLJUCEN, SO.ID_LASTNIKA, SO.ID_PLOVILA,
  DN.STEVILKA AS M_DE_NA_STEVILKA, DN.DATUM_DN AS M_DE_NA_DATUM_DN, DN.DATUM_KREIRANJA AS M_DE_NA_DATUM_KREIRANJA, 
  SA.NAZIV AS S_ARTIKLI_NAZIV, SA.NAZIV1 AS S_ARTIKLI_NAZIV1, PL.IME AS PLOVILA_IME, KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK
	FROM S_OBRACUN SO
  LEFT OUTER JOIN M_DE_NA DN ON DN.ID_DN = SO.DEL_NALOG
  LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = SO.ID_ARTIKEL
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = SO.ID_PLOVILA
  LEFT OUTER JOIN KUPCI KU ON KU.ID = SO.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1424, SYSDATE, '5.5', 1344, 'VSObracun')
;